<?php
/* gesProdDspArt.php
	Dans cette page, on peut afficher l'état de la production d'un article.
	On a donc : 
		-	une liste de données article, 
		-	une liste des OF en cours et des OP, liste des OF terminés.
	On peut demander la transformation d'un OP en OF (si l'article est "fabricable").
	on peut demander la suppression d'un OF,
	A VOIR SI on peut demander la saisie d'une fabrication, sans utiliser l'interface dédiée à celle-ci ?
	on peut demander la modification d'un OF
	A VENIR : on peut demander la liste des mouvements de stock de l'article (stokDspArtMvt.php).
*/
	
include "library/DB_fct.inc.php";
include "library/APP_fct.inc.php";
include "library/_gesProdDesign.inc.php";
// ========================================================================================
// FONCTIONS LOCALES
// ========================================================================================
// -------------------------------------------------------------------
function _menuRight(){
echo "<h2>GesProd</h2>";
echo "<div>Maintenance des OF et OP :
<br>-&nbsp;Confirmer&nbsp;les &nbsp;OP&nbsp;</li>
<br>-&nbsp;Maintenir&nbsp;les&nbsp;OF</li>
</div>
";
}
// -------------------------------------------------------------------
function _isInTab($tab, $testValue){
	// attention, petit pbm si l'indice = 0
	$indice=-1;
	if(is_array($tab))
	foreach($tab as $key => $val)
		if ($val==$testValue){
			$indice=$key;
			break;
		}
	return $indice;
}
// -------------------------------------------------------------------
function _getArticle($artCode){
global $connexion;
	$requete_sql="SELECT * from article WHERE artCode='$artCode' ";
	if($enreg=DB_chercherEnreg($requete_sql, $connexion)) return $enreg ;
	return 0;
}
// -------------------------------------------------------------------
// Afficher les donnée article (table)
function _dspArticle($artCode){
	$result=true;
	
	echo "<table align=center border=1 width=100%>";
	if($t_article=_getArticle($artCode)){
		switch ($t_article['artAddMode']){ case 0: $addMode='Achat'; break; case 1: $addMode='Fabrication'; break; case 2: $addMode='Sous-traitance'; break; }
		switch ($t_article['artPlanif']){ case "S": $planMode='Sur Stock = point de commande'; break; case "M": $planMode='Selon méthode MRP'; break;  }
		echo "<tr><th colspan=2>Article $artCode</td></tr>";
		echo "<tr><td>Référence :</td><td>".$t_article['artCode']."</td></tr>";
		echo "<tr><td>Description</td><td>".$t_article['artDesc']."</td></tr>";
		echo "<tr><td>Stock minimum</td><td>".$t_article['artStockMini']."</td></tr>";
		echo "<tr><td>Stock courant au ".$t_article['stockDate']."</td><td>".$t_article['stockInit']."</td></tr>";
		echo "<tr><td>Mode d'entrée en stock</td><td>".$t_article['artAddMode']." $addMode</td></tr>";
		echo "<tr><td>Mode de planification</td><td>".$t_article['artPlanif']." $planMode</td></tr>";
		echo "<tr><td>Lot mini</td><td>-</td></tr>";
		echo "<tr><td>Lot multiple</td><td>-</td></tr>";
		$result=$t_article['artTypeCode'];
	}else {
		echo "<tr><td>Erreur : Article $artCode inconnu</td></tr>";
		$result=false;
	}
	echo "</table>";
	return $result;
}
// -------------------------------------------------------------------
// Afficher les besoins et prod, face à face, en offrant la possibilité de valider un OP
function _dspListeBesoinsEtProd($artCode){
global $connexion;
	// on va faire une seule liste des besoins, des op et des OF, afin de faire ensuite la séparation dans la colonne 1, 2 ou 3, selon l'origine de la ligne, le tout trié par date.
	// on va d'abord faire une liste que pour les OP et OF.
	// sélection des bp
	// sélection des op
	$selectOF="SELECT * FROM mrpRessources ;";
	// sélection des of
	$selectOF="SELECT * FROM ordFab ;";
	echo "<table align=center border=1 width=100% id=tabListe>";	// début de la liste
	echo "<tr><th>date (échéance)</th><th>Besoins</th><th>Ordres planifiés</th><th>Ordres de fabrication</th></tr>";	// 1ère ligne
	echo "</table align=center>"; 	// fin de la liste
	$result=true;
} // end function _dspListeBesoinsEtProd(artCode)

// ========================================================================================
// MAIN()
// ========================================================================================
$userId="";
$headTitle="Liste des Articles";
$contentTitle="Gestion de production";

(isset($_REQUEST['artCode']))?$artCode=$_REQUEST['artCode']:$artCode="";

// -------------------------------------------------------------------
	$connexion=DB_connecter(); 
//=======================================================================
// Affichage 
//=======================================================================
_pageHeader($userId);	// entête de page et menu


$artTypeCode=_dspArticle($artCode);
?>
<br> 
	<section><header>Gérer la production</header>
		<article>
		<p>
		<ul>
			<li><a href="gesProdOFAdd.php?artCode=<?php echo $artCode; ?>">Lancer un ordre de fabrication manuel</a></li>
			<li>Saisir une production ; Développement en cours</li>
		</ul>
		<br><br>
		</article>
	</section>
	<section><header>Liste des productions et besoins en cours</header>
		<article>
			A faire !!
<?php
	_dspListeBesoinsEtProd($artCode);
?>
		</article>
	</section>
<?php
//========================================================================
// fin de page
//========================================================================
_pageFooter(); // pied de page
?>